<div class="row justify-content-center">
  <div class="col-md-3">
    <br>
    <h1>Édition <%= resource_name.to_s.humanize %></h1>
    <br>


    <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
      <%= render "devise/shared/error_messages", resource: resource %>

      <div class="field">
        <%= f.label :email %><br />
        <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
      </div>

      <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
        <div>En attente de confirmation pour : <%= resource.unconfirmed_email %></div>
      <% end %>

      <div class="field">
        <%= f.label :password, "Mot de passe" %> <i>(laisser vide si vous ne voulez pas le changer)</i><br />
        <%= f.password_field :password, autocomplete: "new-password" %>
        <% if @minimum_password_length %>
          <br />
          <em><%= @minimum_password_length %> caractères minimum</em>
        <% end %>
      </div>

      <div class="field">
        <%= f.label :password_confirmation, "Confirmation du mot de passe" %><br />
        <%= f.password_field :password_confirmation, autocomplete: "new-password" %>
      </div>

      <div class="field">
        <%= f.label :current_password, "Mot de passe actuel" %> <i>(nous avons besoin de votre mot de passe actuel pour confirmer vos changements)</i><br />
        <%= f.password_field :current_password, autocomplete: "current-password" %>
      </div>

      <div class="actions">
        <%= f.submit "Enregistrer" %>
      </div>
    <% end %>
    <br>
    <h2>Résilier mon compte</h2>

    <p>Non satisfait ? <%= button_to "Résilier mon compte", registration_path(resource_name), data: { confirm: "Êtes-vous sûr ?" }, class: 'btn btn-secondary', method: :delete %></p>

    <%= link_to 'Annuler', :back, class: 'btn btn-danger', style: "color:white" %>



  </div>
</div>
